Name:       ocaml-ocamlmpi
Version:    1.01
Release:    %mkrel 4
Summary:    OCaml bindings for MPI functions
Group:      Development/OCaml
License:    LGPL with OCaml linking exception
URL:        http://forge.ocamlcore.org/projects/ocamlmpi/
Source0:    http://download.ocamlcore.org/ocamlmpi/ocamlmpi/OCamlMPI%{version}/ocamlmpi-%{version}.tar.gz
Source1:    test.mk
Source2:    test_mandel.mk
Patch0:     ocamlmpi-1.01-ocamldoc.patch
BuildRequires:  ocaml-compiler
BuildRequires:  libopenmpi-devel
Requires:       %{_lib}openmpi1

%description
OCaml bindings for a large subset of MPI functions.
MPI is a standard interface for distributed-memory parallel programming in
SPMD (single program, multiple data) style, offering both point-to-point
message passing and group communication operations.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
BuildRequires:  libopenmpi-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocamlmpi-%{version}
%patch0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .

cat > META <<EOF
description = "Bindings for MPI"
version = "%{version}"
browse_interface = " MPI "

exists_if = "mpi.cma"
archive(byte) = "mpi.cma"
archive(native) = "mpi.cmxa"
archive(byte,plugin) = "mpi.cma"
EOF

%build
make
make doc

%install
export OCAML_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAML_DESTDIR/ocamlmpi
make install \
  DESTDIR="$OCAML_DESTDIR/ocamlmpi"
  cp META "$OCAML_DESTDIR/ocamlmpi"

cat META

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/ocamlmpi
%{_libdir}/ocaml/ocamlmpi/META
%{_libdir}/ocaml/ocamlmpi/mpi.cmi
%{_libdir}/ocaml/ocamlmpi/mpi.cma

%files devel
%doc test.ml test_mandel.ml
%doc test.mk test_mandel.mk
%doc api-doc/
%{_libdir}/ocaml/ocamlmpi/mpi.a
%{_libdir}/ocaml/ocamlmpi/mpi.cmxa
%{_libdir}/ocaml/ocamlmpi/mpi.mli
%{_libdir}/ocaml/ocamlmpi/libcamlmpi.a


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.01-4.mga4
+ Revision: 537840
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 blue_prawn <blue_prawn> 1.01-3.mga4
+ Revision: 487943
- rebuild for ocaml-4.01.0

* Sun Sep 01 2013 fwang <fwang> 1.01-2.mga4
+ Revision: 474068
- fix requires on libopenmpi

* Tue Aug 27 2013 blue_prawn <blue_prawn> 1.01-1.mga4
+ Revision: 472424
- imported package ocaml-ocamlmpi

